All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execute_axbx.hpp File Reference

Provides the datastructures for dealing with statements of the type x = (y) +- (z) More...

`#include "viennacl/forwards.h"`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/scheduler/execute_scalar_assign.hpp"`
`#include "viennacl/scheduler/execute_generic_dispatcher.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::scheduler
| Contains the scheduling functionality which allows for dynamic kernel generation as well as the fusion of multiple statements into a single kernel.
| viennacl::scheduler::detail
| Implementation details for the scheduler.

## Functions

void | viennacl::scheduler::detail::execute_axbx (statement const &s, statement_node const &root_node)
| Deals with x = (y) +- (z) where y and z are either data objects or expressions. More...

## Detailed Description

Provides the datastructures for dealing with statements of the type x = (y) +- (z)

Definition in file execute_axbx.hpp.